{% extends 'core.html' %} 

{% block title %}Mis Publicaciones{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %} 
{% if publications %}
  {% for publication in publications %}
  <div class="container mt-5">
            <div class="row">
                <div class="col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                    <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" style="max-height:250px" src="{{publication.photo.url}}"/></a>
                </div>
                <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                    <div class="row">
                        <div class="col-12"><h4><a class="text-dark" href="{{publication.get_absolute_url}}">{{ publication.product_name }}</h4></a></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><h6><em>{{ publication.slug }}</em></h6></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><p class="lead">{{ publication.product_description }}</p></div>
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                    <div class="row mt-5">
                        <div class="col-12"><h4 class="text-warning text-right"><strong>$ {{ publication.price }}</strong></h4></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><p class="text-right">{{ publication.publication_date }}</p></div>
                    </div>                                        
                </div>
            </div>
            <hr/>
        </div>
  {% endfor %}
    {% if publications.has_other_pages %}
        <ul class="pagination">
            {% if publications.has_previous %}
                <li><a href="?page={{ publications.previous_page_number }}">&laquo;</a></li>
            {% else %}
                <li class="disabled"><span>&laquo;</span></li>
            {% endif %}
            {% for i in publications.paginator.page_range %}
                {% if publications.number == i %}
                    <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                {% else %}
                    <li><a href="?page={{ i }}">{{ i }}</a></li>
                {% endif %}
            {% endfor %}
            {% if publications.has_next %}
                <li><a href="?page={{ publications.next_page_number }}">&raquo;</a></li>
            {% else %}
                <li class="disabled"><span>&raquo;</span></li>
            {% endif %}
        </ul>
    {% endif %}
{% else %}
  <div class="container">
    <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
      <div class="card-body text-center">
        <p class="lead">Aun no has creado ninguna publicacion, que esperas ?</p>
      </div>
    </div>
  </div>
{% endif %}
{% endblock %}

{% block scriptfiles %}
{% endblock %}



